List All Products

This endpoint returns all products that match the specified criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

One option for a product search, List All Products returns detailed information about a product based on query strings. It is a great endpoint when you want to perform a search and then take action on the data returned, such as displaying images or returning productConditionId for more detailed pricing searches.

{
  "totalItems": 0,
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
      "productId": 0,
      "name": "string",
      "cleanName": "string",
      "imageUrl": "string",
      "categoryId": 0,
      "groupId": 0,
      "url": "string",
      "modifiedOn": "2017-11-21T00:47:27.254Z",
    }
  ]
}
/catalog/products?categoryId=8&productTypes=Cards&limit=2

{
    "totalItems": 31,
    "success": true,
    "errors": [],
    "results": [
        {
            "productId": 99378,
            "name": "Justice ID Card",
            "cleanName": "Justice ID Card",
            "imageUrl": "https://6d4be195623157e28848-7697ece4918e0a73861de0eb37d08968.ssl.cf1.rackcdn.com/99378_200w.jpg",
            "categoryId": 8,
            "groupId": 1557,
            "url": "https://store.tcgplayer.com/heroclix/avengers-assemble/justice-id-card",
            "modifiedOn": "2015-09-02T19:06:17.317"
        },
        {
            "productId": 100192,
            "name": "Black Widow ID Card",
            "cleanName": "Black Widow ID Card",
            "imageUrl": "https://6d4be195623157e28848-7697ece4918e0a73861de0eb37d08968.ssl.cf1.rackcdn.com/100192_200w.jpg",
            "categoryId": 8,
            "groupId": 1557,
            "url": "https://store.tcgplayer.com/heroclix/avengers-assemble/black-widow-id-card",
            "modifiedOn": "2015-09-02T18:59:14.34"
        }
    ]
}
/catalog/products?categoryId=1&productTypes=Cards&limit=2

{
    "totalItems": 41712,
    "success": true,
    "errors": [],
    "results": [
        {
            "productId": 86,
            "name": "Abyssal Nightstalker",
            "cleanName": "Abyssal Nightstalker",
            "imageUrl": "https://6d4be195623157e28848-7697ece4918e0a73861de0eb37d08968.ssl.cf1.rackcdn.com/86_200w.jpg",
            "categoryId": 1,
            "groupId": 87,
            "url": "https://store.tcgplayer.com/magic/portal-second-age/abyssal-nightstalker",
            "modifiedOn": "2013-05-09T12:13:41.653"
        },
        {
            "productId": 87,
            "name": "Air Elemental",
            "cleanName": "Air Elemental",
            "imageUrl": "https://6d4be195623157e28848-7697ece4918e0a73861de0eb37d08968.ssl.cf1.rackcdn.com/87_200w.jpg",
            "categoryId": 1,
            "groupId": 87,
            "url": "https://store.tcgplayer.com/magic/portal-second-age/air-elemental",
            "modifiedOn": "2013-05-09T12:13:41.653"
        }
    ]
}
Query Params
int32

If specified, only return products in this category.

string

If specified, only return products in this category.

int32

If specified, only return products in this group.

string

If specified, only return products in this group.

string

If specified, only return products with this exact name.

boolean

If true, include additional category-specific information about each product, otherwise
only return general product. Default is false.

string

A comma-separated list of Product Types. If specified, only return Products that
belong to one of the Product Types in the list. Some valid values: Cards, Booster Pack,
Booster Box.

int32

Used for paging. The number of Products to skip. Default is 0.

int32

Used for paging. The maximum number of Products to return. Default is 10.

boolean

If true, include SKU details for each product. Default is false.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

404

No products found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json